t=int(input())
n,m=map(int,input().split())
A=list(map(int,input().split()))
s=input()
i,j=A[0],A[1]
f1,f2=-1,-1
if s[0]=="R": f1=1
if s[1]=="R": f2=1
if i==j:
    print("Yes")
    if t>1:
        print(m)
    if t>2:
        print(0)
    exit()
z=0
q=0
for v in range(1,10*m):
    if i==1:
        f1=1
    if j==1:
        f2=1
    if i==m:
        f1=-1
    if j==m:
        f2=-1
    i+=f1
    j+=f2
    if i==j and i>z:
        z=i
        q=v

if z==0:
    print("No")
    exit()
print("Yes")
if t>1:
    print(z)
if t>2:
    print(1)
    print(q,z)

    

